Bug 1574351 - prov.set_vlan() method didn't set the vnicprofiles identifier
Summary: prov.set_vlan() method didn't set the vnicprofiles identifier
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Alona Kaplan
QA Contact: Radim Hrazdil
URL:
Whiteboard: rhev
Depends On:
Blocks: 1584406 1609809
TreeView+ depends on / blocked
 
Reported: 2018-05-03 06:25 UTC by Gellert Kis
Modified: 2019-02-11 14:07 UTC (History)
10 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1584406 (view as bug list)
Environment:
5.9.1
Last Closed: 2019-02-11 14:07:10 UTC
Category: Bug
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ManageIQ manageiq-providers-ovirt pull 254 0 None None None 2018-05-29 10:54:03 UTC
Red Hat Bugzilla 1578393 0 low CLOSED Improving the error message of provisioning a VM via rest api with wrong vlan value 2021-02-22 00:41:40 UTC

Internal Links: 1578393

Comment 8 CFME Bot 2018-05-30 12:08:59 UTC
New commit detected on ManageIQ/manageiq-providers-ovirt/master:

https://github.com/ManageIQ/manageiq-providers-ovirt/commit/49f086a240dbf8c1158a6129dc8c2ba81cbf91a4
commit 49f086a240dbf8c1158a6129dc8c2ba81cbf91a4
Author:     Alona Kaplan <alkaplan@redhat.com>
AuthorDate: Mon May 21 09:26:57 2018 -0400
Commit:     Alona Kaplan <alkaplan@redhat.com>
CommitDate: Mon May 21 09:26:57 2018 -0400

    Accept 'profile_name (network_name)' as a valid vlan for vm provision

    'profile_id' or 'profile_name (network_name)' are both acceptable.

    Fixes https://bugzilla.redhat.com/1574351

 app/models/manageiq/providers/redhat/infra_manager/ovirt_services/strategies/v4.rb | 40 +-
 app/models/manageiq/providers/redhat/infra_manager/provision_workflow.rb | 11 +
 spec/models/manageiq/providers/redhat/infra_manager/provision/configuration/network_spec.rb | 30 +-
 3 files changed, 68 insertions(+), 13 deletions(-)

Comment 9 CFME Bot 2018-05-30 15:52:00 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/159e36074a874ca159ac5e0055f532c7f40bd380
commit 159e36074a874ca159ac5e0055f532c7f40bd380
Author:     Alona Kaplan <alkaplan@redhat.com>
AuthorDate: Wed May 30 07:38:36 2018 -0400
Commit:     Alona Kaplan <alkaplan@redhat.com>
CommitDate: Wed May 30 07:38:36 2018 -0400

    Adding the profile description option to the provision error message

    If the requested vlan/network is wrong, the error message will be-
    'Virtual NIC Profile ID or Profile Name (Network Name)'

    Fixes https://bugzilla.redhat.com/1578393
    Fixes https://bugzilla.redhat.com/1574351

 product/dialogs/miq_dialogs/miq_provision_redhat_dialogs_clone_to_vm.yaml | 1 +
 product/dialogs/miq_dialogs/miq_provision_redhat_dialogs_template.yaml | 3 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

Comment 12 Radim Hrazdil 2018-09-18 12:10:18 UTC
Verified by doing the following:

1) created new domain in automate/explored and copied redhat_PreProvision method to the created domain
2) edited process_customization method to call set_vlan with hardcoded 'ovirtmgmt (ovirtmgmt)':
   prov.set_vlan('ovirtmgmt (ovirtmgmt)')

Provisioned VM and checked that the vlan was set to the harcoded value successfully.

CFME 5.10.0.15.20180914163601_fb02d7e
RHV Version:4.2.6.3-0.1.el7ev


Note You need to log in before you can comment on or make changes to this bug.